=== debian/changelog ===
taskd (1.1.0+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Sebastien Badia ]
  * d/control:
    + Bump Standards-Version to 3.9.8 (no changes).
    + Switch to HTTPS for Vcs-Git URL.
    + Switch to pkg-tasktools team.

  [ Mattia Rizzolo ]
  * d/control: add dependency on lsb-base (>= 3.0-6) as the init script needs
    it (thanks, lintian).
  * Bump debhelper compat level to 10.
    + dh-systemd now runs automatically, drop dependency and explicit call.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 29 Oct 2016 23:09:34 +0000

taskd (1.1.0+dfsg-2) unstable; urgency=high

  * Fix old installation pattern,
    orgs are now created by user (Closes: #810342).

 -- Sebastien Badia <seb@sebian.fr>  Fri, 08 Jan 2016 17:45:59 +0100

taskd (1.1.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #721647).

 -- Sebastien Badia <seb@sebian.fr>  Sun, 27 Dec 2015 11:00:41 +0100
