=== debian/rules ===
#!/usr/bin/make -f

export CMAKE_BUILD_TYPE=release
PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

clean:
	dh_clean
	rm -f cmake.h commit.h
	rm -rf obj-*

override_dh_installdocs:
	dh_installdocs
	rm -f $(TMP)/usr/share/doc/taskd/INSTALL \
	      $(TMP)/usr/share/doc/taskd/COPYING \
	      $(TMP)/usr/share/doc/taskd/AUTHORS \
	      $(TMP)/usr/share/doc/taskd/ChangeLog

override_dh_install:
	dh_install
	mv $(TMP)/usr/share/taskd/pki/README \
	   $(TMP)/usr/share/doc/taskd/README.pki
	mv $(TMP)/usr/share/taskd/mon/README \
	   $(TMP)/usr/share/doc/taskd/README.mon
